import request from '@/utils/request'

// 确认NITROGEN完成确认清单
export function handleConfirmNitrogen(data) {
  return request({
    url: '/pssr/nitrogen/confirmNitrogen',
    method: 'put',
    data: data
  })
}

// 驳回NITROGEN完成确认清单
export function handleTurnDownNitrogen(data) {
  return request({
    url: '/pssr/nitrogen/turnDownNitrogen',
    method: 'put',
    data: data
  })
}

// 查询系统氮气置换列表
export function listNitrogen(query) {
  return request({
    url: '/pssr/nitrogen/list',
    method: 'get',
    params: query
  })
}

// 查询系统氮气置换详细
export function getNitrogen(id) {
  return request({
    url: '/pssr/nitrogen/' + id,
    method: 'get'
  })
}

// 新增系统氮气置换
export function addNitrogen(data) {
  return request({
    url: '/pssr/nitrogen',
    method: 'post',
    data: data
  })
}

// 修改系统氮气置换
export function updateNitrogen(data) {
  return request({
    url: '/pssr/nitrogen',
    method: 'put',
    data: data
  })
}

//
export function updateNitrogenBatch(data) {
  return request({
    url: '/pssr/nitrogen/editBatch',
    method: 'put',
    data: data
  })
}


// 删除系统氮气置换
export function delNitrogen(id) {
  return request({
    url: '/pssr/nitrogen/' + id,
    method: 'delete'
  })
}

// 导出系统氮气置换
export function exportNitrogen(query) {
  return request({
    url: '/pssr/nitrogen/export',
    method: 'get',
    params: query
  })
}
